"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "releng/manual_isojigdo" between
xorriso-1.5.2.tar.gz and xorriso-1.5.4.tar.gz

About: GNU xorriso creates, loads, manipulates and writes ISO 9660 filesystem images with Rock Ridge extensions. It is suitable for incremental data backup and for production of bootable ISO 9660 images. GNU xorriso is a statical compilation of the libraries libburn, libisofs, libisoburn, and libjte.

manual_isojigdo  (xorriso-1.5.2):manual_isojigdo  (xorriso-1.5.4)
#!/bin/bash #!/bin/bash
# Copyright 2011 Thomas Schmitt <scdbackup@gmx.net> # Copyright 2011, 2019 Thomas Schmitt <scdbackup@gmx.net>
# Copyright 2011 George Danchev <danchev@spnet.net> # Copyright 2011 George Danchev <danchev@spnet.net>
# Licensed under GNU GPL version 2 or later # Licensed under GNU GPL version 2 or later
set -e set -e
not_in_releng_exit() { not_in_releng_exit() {
printf "\nPlease execute the tests from releng directory.\n\n" printf "\nPlease execute the tests from releng directory.\n\n"
exit 1 exit 1
} }
. inc/releng_getopts.inc || not_in_releng_exit . inc/releng_getopts.inc || not_in_releng_exit
print_specific_help() { print_specific_help() {
cat << HLP cat << HLP
Specific options: Specific options:
none yet. --md5 use MD5 checksums (default)
--sha256 use SHA256 checksums
Overview: Overview:
Match the resulting ISO image representation Match the resulting ISO image representation
against the jigdo representation. against the jigdo representation.
HLP HLP
} }
if test "$SPECIFIC_HELP" = 1; then if test "$SPECIFIC_HELP" = 1; then
print_specific_help print_specific_help
exit 0 exit 0
fi fi
# Set default values for specific option variables.
checksum_type=md5
# Interpret specific options, they begin after the first --.
next_is=ignore
for i in "$@"
do
if test "$next_is" = "ignore"
then
if test "$i" = "--"
then
next_is=""
fi
elif test "$i" = "--md5"
then
checksum_type=md5
elif test "$i" = "--sha256"
then
checksum_type=sha256
else
echo >&2
echo "Unknown test specific option: $i" >&2
print_help
print_specific_help
exit 31
fi
done
if [ ! -x $RELENG_XORRISO ]; then if [ ! -x $RELENG_XORRISO ]; then
print_help print_help
printf "\n${SELF}: -x absolute or relative path to binary to be run.\n\n" printf "\n${SELF}: -x absolute or relative path to binary to be run.\n\n"
exit 30 exit 30
fi fi
# check data dir, if any and after checking -x xorriso # check data dir, if any and after checking -x xorriso
if [ -d "${GEN_DATA_DIR}" ]; then if [ -d "${GEN_DATA_DIR}" ]; then
printf "\n${SELF}: directory %s exists!" ${GEN_DATA_DIR} printf "\n${SELF}: directory %s exists!" ${GEN_DATA_DIR}
printf "\n${SELF}: use './${SELF} -c' to remove.\n" printf "\n${SELF}: use './${SELF} -c' to remove.\n"
skipping to change at line 90 skipping to change at line 118
*) *)
printf "\nFAIL : ${SELF} : Not found JTE support in ${RELENG_XORRISO}. Qu it." printf "\nFAIL : ${SELF} : Not found JTE support in ${RELENG_XORRISO}. Qu it."
printf "\n${SELF}: JTE not supported with this xorriso build. Install jig it >=1.18 and rebuild." printf "\n${SELF}: JTE not supported with this xorriso build. Install jig it >=1.18 and rebuild."
printf "\n${SELF}: http://www.einval.com/~steve/software/JTE/\n" printf "\n${SELF}: http://www.einval.com/~steve/software/JTE/\n"
cleanup cleanup
exit 4 exit 4
;; ;;
esac esac
# grab remote ISO image, to decompose # grab remote ISO image, to decompose
if [ ! -f "${TMP_DATA_DIR}"/"${REMOTE_IMG}" ]; then if [ -L "${TMP_DATA_DIR}"/"${REMOTE_IMG}" ]; then
printf "\n${SELF}: Found symbolic link ${TMP_DATA_DIR}"/"${REMOTE_IMG}\n"
ls -ld ${TMP_DATA_DIR}"/"${REMOTE_IMG}
elif [ ! -f "${TMP_DATA_DIR}"/"${REMOTE_IMG}" ]; then
printf "\n${SELF}: Downloading ${REMOTE_URL}/${REMOTE_IMG}\n" printf "\n${SELF}: Downloading ${REMOTE_URL}/${REMOTE_IMG}\n"
if wget -V >/dev/null 2>&1 if wget -V >/dev/null 2>&1
then then
set +e set +e
wget --no-check-certificate -T20 -t3 \ wget --no-check-certificate -T20 -t3 \
-O "${TMP_DATA_DIR}"/"${REMOTE_IMG}" "${REMOTE_URL}"/"${REMOTE_IMG}" -O "${TMP_DATA_DIR}"/"${REMOTE_IMG}" "${REMOTE_URL}"/"${REMOTE_IMG}"
WGET_RET="$?" WGET_RET="$?"
set -e set -e
elif fetch -T 20 -o "${TMP_DATA_DIR}"/"${REMOTE_IMG}" \ elif fetch -T 20 -o "${TMP_DATA_DIR}"/"${REMOTE_IMG}" \
"${REMOTE_URL}"/"${REMOTE_IMG}" "${REMOTE_URL}"/"${REMOTE_IMG}"
skipping to change at line 209 skipping to change at line 240
JIGDO_JIGDO=${GEN_DATA_DIR}/${RELENG_IMG}.jigdo JIGDO_JIGDO=${GEN_DATA_DIR}/${RELENG_IMG}.jigdo
JIGDO_TEMPLATE=${GEN_DATA_DIR}/${RELENG_IMG}.template JIGDO_TEMPLATE=${GEN_DATA_DIR}/${RELENG_IMG}.template
JIGDO_MAP_RHV=$(cd ${RELENG_DIR} 2>/dev/null && pwd) JIGDO_MAP_RHV=$(cd ${RELENG_DIR} 2>/dev/null && pwd)
JIGDO_MAP="Debian=${JIGDO_MAP_RHV}/" JIGDO_MAP="Debian=${JIGDO_MAP_RHV}/"
# create jigdo MD5 list in base64 format # create jigdo MD5 list in base64 format
JIGDO_GEN_MD5=${GEN_DATA_DIR}/${RELENG_IMG}.md5 JIGDO_GEN_MD5=${GEN_DATA_DIR}/${RELENG_IMG}.md5
printf "${SELF}: Creating MD5 list in hex format in ${JIGDO_GEN_MD5}..." printf "${SELF}: Creating $checksum_type list in hex format in ${JIGDO_GEN_MD5}. .."
set +e set +e
./jigdo-gen-md5-list ${RELENG_DIR} > ${JIGDO_GEN_MD5} ./jigdo-gen-md5-list "--""$checksum_type" ${RELENG_DIR} > ${JIGDO_GEN_MD5}
ret=$? ret=$?
set -e set -e
if test "$ret" = 0 if test "$ret" = 0
then then
printf "Done.\n" printf "Done.\n"
else else
printf "\nFAIL : ${SELF}: ./jigdo-gen-md5-list returns $ret" printf "\nFAIL : ${SELF}: ./jigdo-gen-md5-list returns $ret"
cleanup cleanup
exit 9 exit 9
fi fi
CMD="$CMD \ CMD="$CMD \
-jigdo-template-compress gzip \ -jigdo-template-compress gzip \
-jigdo-checksum-algorithm "$checksum_type" \
-checksum_algorithm_iso md5,sha1,sha256,sha512 \ -checksum_algorithm_iso md5,sha1,sha256,sha512 \
-checksum_algorithm_template md5,sha1,sha256,sha512 \ -checksum_algorithm_template md5,sha1,sha256,sha512 \
-jigdo-jigdo ${JIGDO_JIGDO} \ -jigdo-jigdo ${JIGDO_JIGDO} \
-jigdo-template ${JIGDO_TEMPLATE} \ -jigdo-template ${JIGDO_TEMPLATE} \
-jigdo-map ${JIGDO_MAP} \ -jigdo-map ${JIGDO_MAP} \
-md5-list ${JIGDO_GEN_MD5} \ -checksum-list ${JIGDO_GEN_MD5} \
-jigdo-min-file-size 1024 \ -jigdo-min-file-size 1024 \
" "
CMD="$CMD ${RELENG_DIR}" CMD="$CMD ${RELENG_DIR}"
# Run the whole compound command # Run the whole compound command
echo -e "${SELF}: Creating ISO and jigdo representations:\n$CMD\n" echo -e "${SELF}: Creating ISO and jigdo representations:\n$CMD\n"
${CMD} ${CMD}
# Create another imange this time from jigdo files # Create another imange this time from jigdo files
 End of changes. 8 change blocks. 
6 lines changed or deleted 38 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)